import * as React from 'react';
import Base from '../../libs/Base';
import ButtonGroup from './ButtonGroup';
import './Button.less';
export interface IButtonProps {
    size?: 'small' | 'normal' | 'large';
    type?: 'default' | 'plain' | 'primary' | 'success' | 'warning' | 'danger' | 'white' | 'black';
    nativeType?: 'button' | 'submit' | 'reset';
    basic?: boolean;
    icon?: string;
    disabled?: boolean;
    loading?: boolean;
    full?: boolean;
    onClick?: (e: React.MouseEvent<HTMLButtonElement>) => Promise<any> | void;
}
export interface IButtonState {
    loading: boolean;
}
export default class Button extends Base<IButtonProps, IButtonState> {
    static defaultProps: IButtonProps;
    static Group: typeof ButtonGroup;
    constructor(props: IButtonProps);
    componentWillReceiveProps(nextProps: IButtonProps): void;
    onClick: (e: React.MouseEvent<HTMLButtonElement>) => void;
    render(): JSX.Element;
}
