import Base from '../../libs/Base';
import './Calendar.less';
export declare enum viewTypes {
    YEAR = 0,
    MONTH = 1,
    DATE = 2,
}
export interface ICalendarProps {
    value?: Date | null;
    onChange?: (value: Date) => void;
}
export interface ICalendarState {
    status: viewTypes;
    year: number;
    month: number;
    value: Date | null;
}
export default class Calendar extends Base<ICalendarProps, ICalendarState> {
    constructor(props: ICalendarProps);
    componentWillReceiveProps({value}: ICalendarProps): void;
    onPrevious: () => void;
    onReturn: () => void;
    onNext: () => void;
    onSelectYear: (year: number) => void;
    onSelectMonth: (month: number) => void;
    onSelectDate: (date: Date) => void;
    renderTitle: () => string;
    render(): JSX.Element;
}
