import Base from '../../libs/Base';
import './DatePicker.less';
export interface IDatePickerProps {
    type?: 'text' | 'input';
    value?: Date | string | null;
    format?: string;
    icon?: string | false;
    placeholder?: string;
    full?: boolean;
    disabled?: boolean;
    onChange?: (value: Date | null) => void;
}
export interface IDatePickerState {
    value: Date | null;
    visible: boolean;
}
export default class DatePicker extends Base<IDatePickerProps, IDatePickerState> {
    static defaultProps: {
        type: string;
        icon: string;
        format: string;
    };
    constructor(props: IDatePickerProps);
    componentWillReceiveProps({value}: IDatePickerProps): void;
    onVisibleChange: (visible: boolean) => void;
    onChange: (value: Date) => void;
    onConfirm: () => void;
    onCancel: () => void;
    onClear: () => void;
    render(): JSX.Element;
}
