import Base from '../../libs/Base';
import './DatetimePicker.less';
export interface IDatetimePickerProps {
    type?: 'text' | 'input';
    value?: Date | string | null;
    format?: string;
    icon?: string | false;
    placeholder?: string;
    full?: boolean;
    disabled?: boolean;
    onChange?: (value: Date | null) => void;
}
export interface IDatetimePickerState {
    value: Date | null;
    visible: boolean;
}
export default class DatetimePicker extends Base<IDatetimePickerProps, IDatetimePickerState> {
    static defaultProps: {
        type: string;
        icon: string;
        format: string;
    };
    constructor(props: IDatetimePickerProps);
    componentWillReceiveProps({value}: IDatetimePickerProps): void;
    onVisibleChange: (visible: boolean) => void;
    onChange: (date: Date) => void;
    onTimeChange: (hours: number, minutes: number) => void;
    onConfirm: () => void;
    onCancel: () => void;
    onClear: () => void;
    render(): JSX.Element;
}
