import * as React from 'react';
import Base from '../../libs/Base';
import './Dialog.less';
export interface IDialogProps {
    visible?: boolean;
    size?: 'small' | 'normal' | 'large';
    maskClosable?: boolean;
    header?: React.ReactNode;
    footer?: React.ReactNode;
    cancelText?: React.ReactNode;
    confirmText?: React.ReactNode;
    onCancel?: () => void;
    onConfirm?: () => void | Promise<any>;
}
export interface IDialogState {
    loading: boolean;
}
export default class Dialog extends Base<IDialogProps, IDialogState> {
    static defaultProps: {
        size: string;
        cancelText: string;
        confirmText: string;
    };
    state: {
        loading: boolean;
    };
    onConfirm: () => void;
    onClickMask: () => void;
    renderDefaultFooter: () => JSX.Element;
    render(): JSX.Element;
}
