import * as React from 'react';
import Base from '../../libs/Base';
export interface IDialogWrapProps {
    visible?: boolean;
    size?: 'small' | 'normal' | 'large';
    maskClosable?: boolean;
    header?: React.ReactNode;
    footer?: React.ReactNode;
    cancelText?: React.ReactNode;
    confirmText?: React.ReactNode;
    getContainer?: () => Element;
    onCancel?: () => void;
    onConfirm?: () => Promise<any> | void;
}
export default class DialogWrap extends Base<IDialogWrapProps> {
    container: Element;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    getContainer: () => Element;
    getDialog: (visible?: boolean | undefined) => JSX.Element;
    renderComponent: (visible?: boolean | undefined) => void;
    removeComponent: () => void;
    render(): null;
}
