import * as PropTypes from 'prop-types';
import * as React from 'react';
import Base from '../../libs/Base';
import FormStore from './FormStore';
export interface IChildProps {
    value?: any;
    name?: string;
    message?: string;
    onChange: (e: any, value: any) => void;
    onValueChange: (value: any) => void;
}
export interface IFormFieldProps {
    name?: string;
    value?: any;
    label?: React.ReactNode;
    children: React.ReactNode | ((props: IChildProps) => React.ReactNode);
}
export default class FormField extends Base<IFormFieldProps> {
    static contextTypes: {
        $formStore: PropTypes.Requireable<any>;
    };
    $formStore: FormStore;
    constructor(props: IFormFieldProps, context: any);
    onChange: (e: any, value: any) => void;
    onValueChange: (value: any) => void;
    renderChildren: () => {} | null | undefined;
    render(): JSX.Element;
}
