import * as PropTypes from 'prop-types';
import * as React from 'react';
import Base from '../../libs/Base';
import Field from './Field';
import FormStore, { IValueMap, IValidationMap, IValidationError } from './FormStore';
import './Form.less';
export interface IFormProps {
    layout?: 'horizontal' | 'vertical';
    labelWidth?: string | number;
    onSubmit?: (errors: IValidationError[] | null, values: IValueMap, reset: () => void) => void;
    validations?: IValidationMap;
}
export default class Form extends Base<IFormProps> {
    static Field: typeof Field;
    static childContextTypes: {
        $formStore: PropTypes.Requireable<any>;
    };
    static defaultProps: {
        layout: string;
    };
    $formStore: FormStore;
    constructor(props: IFormProps);
    getChildContext: () => {
        $formStore: any;
    };
    onSubmit: (e: React.FormEvent<HTMLFormElement>) => void;
    onReset: () => void;
    reset: () => void;
    render(): JSX.Element;
}
