export declare type valueType = any;
export interface IValueMap {
    [name: string]: valueType;
}
export interface IValidationMap {
    [name: string]: (value: valueType, values: IValueMap) => string | boolean;
}
export interface IValidationError {
    name: string;
    value: any;
    message: string;
}
export default class FormStore {
    private values;
    private defaultValues;
    private validations;
    constructor(validations?: IValidationMap);
    get: (name: string) => any;
    getValues: () => IValueMap;
    set: (name: string, value: any, callback?: ((values: IValueMap) => void) | undefined) => void;
    validate: (name: string, value: any) => IValidationError | null;
    validateValues: () => IValidationError[];
    reset: () => void;
}
