import * as React from 'react';
import Base from '../../libs/Base';
import './Input.less';
export interface IInputProps {
    type?: 'text' | 'password';
    value?: string;
    placeholder?: string;
    size?: 'small' | 'normal' | 'large';
    disabled?: boolean;
    full?: boolean;
    prefix?: React.ReactNode;
    suffix?: React.ReactNode;
    autoFocus?: boolean;
    onChange?: (e: React.ChangeEvent<any>, value: string) => void;
    onFocus?: React.FormEventHandler<any>;
    onBlur?: React.FormEventHandler<any>;
    onKeyDown?: React.FormEventHandler<any>;
}
export default class Input extends Base<IInputProps> {
    static defaultProps: {
        type: string;
        size: string;
    };
    autoFocus: (el: HTMLInputElement) => void;
    onChange: React.ChangeEventHandler<any>;
    render(): JSX.Element;
}
