import * as PropTypes from 'prop-types';
import * as React from 'react';
import Base from '../../libs/Base';
import MenuItem from './MenuItem';
import './Menu.less';
export declare type MenuChildType = null | false | React.ReactElement<MenuItem>;
export interface IMenuProps {
    title?: React.ReactNode;
    bordered?: boolean;
    children?: MenuChildType | MenuChildType[];
    onCommand?: (e: React.MouseEvent<any>, command: string, data: any) => void;
}
export default class Menu extends Base<IMenuProps> {
    static Item: typeof MenuItem;
    static childContextTypes: {
        $menu: PropTypes.Requireable<any>;
    };
    getChildContext: () => {
        $menu: any;
    };
    render(): JSX.Element;
}
