import Base from '../../libs/Base';
export interface IPromptProps {
    title?: string;
    value?: string;
    placeholder?: string;
    size?: 'small' | 'normal' | 'large';
    afterHide?: () => void;
    onConfirm?: (value: string) => void | Promise<any>;
    onCancel?: () => void;
}
export interface IPromptState {
    value: string;
    visible: boolean;
}
export default class Prompt extends Base<IPromptProps, IPromptState> {
    constructor(props: IPromptProps);
    componentDidMount(): void;
    onShow: () => void;
    onHide: () => void;
    onConfirm: () => void | Promise<void>;
    onCancel: () => void;
    onValueChange: (e: any, value: string) => void;
    render(): JSX.Element;
}
