import Base from '../../libs/Base';
import Notice from './Notice';
import './Notification.less';
export interface INoticeOptions {
    type?: 'primary' | 'success' | 'warning' | 'error';
    icon?: string;
    content?: string;
    closable?: boolean;
    duration?: number;
}
export interface INotice extends INoticeOptions {
    key: string;
}
export interface INotificationProps {
}
export interface INotificationState {
    notices: INotice[];
}
export default class Notification extends Base<INotificationProps, INotificationState> {
    static Notice: typeof Notice;
    constructor(props: INotificationProps);
    add: (options: INoticeOptions) => void;
    remove: (key: string) => void;
    render(): JSX.Element;
}
