import * as React from 'react';
import Base from '../../libs/Base';
import './ScrollBar.less';
export interface IPoint {
    x: number;
    y: number;
}
export interface IScrollBarProps extends React.HTMLProps<HTMLDivElement> {
    direction?: string;
    stopPropagation?: boolean;
    dragToScroll?: boolean;
}
export interface IScrollBarState {
    dragging: boolean;
}
export default class ScrollBar extends Base<IScrollBarProps, IScrollBarState> {
    static defaultProps: {
        direction: string;
    };
    state: {
        dragging: boolean;
    };
    el: HTMLDivElement;
    startPosition: IPoint;
    startPoint: IPoint;
    saveEl: (el: HTMLDivElement) => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    onMouseWheel: (e: any) => void;
    onMouseDown: any;
    onMouseMove: any;
    onMouseUp: any;
    scrollToEnd: () => void;
    render(): JSX.Element;
}
