import * as React from 'react';
import Base from '../../libs/Base';
import './Textarea.less';
export interface ITextareaProps {
    value?: string;
    placeholder?: string;
    size?: 'small' | 'normal' | 'large';
    disabled?: boolean;
    full?: boolean;
    autoFocus?: boolean;
    onChange?: (e: React.ChangeEvent<any>, value: string) => void;
    onFocus?: React.FormEventHandler<any>;
    onBlur?: React.FormEventHandler<any>;
    onKeyDown?: React.FormEventHandler<any>;
}
export default class Textarea extends Base<ITextareaProps> {
    static defaultProps: {
        type: string;
        size: string;
    };
    autoFocus: (el: HTMLTextAreaElement) => void;
    onChange: React.ChangeEventHandler<any>;
    render(): JSX.Element;
}
