import * as PropTypes from 'prop-types';
import * as React from 'react';
import Base from '../../libs/Base';
import Node from './models/Node';
import Store, { loadFn } from './models/Store';
import TreeNode from './TreeNode';
import './Tree.less';
export interface ITreeProps {
    load: loadFn;
    actions?: (node: Node) => React.ReactNode;
    checkable?: boolean;
    checkedKeys?: string[];
    autoSelect?: boolean;
    onSelect?: (node: Node) => void;
    onCheckedChange?: (keys: string[]) => void;
}
export interface ITreeState {
    store: Store;
    checkedKeys: string[];
}
export default class Tree extends Base<ITreeProps, ITreeState> {
    static NodeClass: typeof Node;
    static Node: typeof TreeNode;
    static childContextTypes: {
        $tree: PropTypes.Requireable<any>;
    };
    static defaultProps: {
        indent: number;
    };
    constructor(props: ITreeProps);
    componentWillReceiveProps({checkedKeys}: ITreeProps): void;
    getChildContext: () => {
        $tree: any;
    };
    onSelect: (node: Node) => void;
    onCheck: (node: Node) => void;
    isChecked: (node: Node) => boolean;
    refresh: () => void;
    render(): JSX.Element;
}
