import Store from './Store';
export interface INode {
    key?: string;
    label?: string;
    value?: any;
    children?: Node[];
}
export default class Node implements INode {
    key: string;
    label?: string;
    value?: any;
    parent?: Node;
    children?: Node[];
    isRoot?: boolean;
    store: Store;
    level: number;
    expanded: boolean;
    isLeaf: boolean;
    shouldLoad: boolean;
    loading: boolean;
    constructor({key, label, value, children}?: INode);
    createChildren(children: INode[]): Node[];
    insertChild(child: INode | Node, index?: number): Node;
    expand(): void;
    collapse(): void;
    toggle(): void;
}
