import * as React from 'react';
import * as classnames from 'classnames';
export interface IClassDictionary {
    [id: string]: boolean | undefined | null;
}
export interface IClassArray extends Array<ClassValue> {
}
export declare type ClassValue = string | number | IClassDictionary | IClassArray[] | undefined | null | false;
export declare type CN = typeof classnames;
export interface IBaseProps {
    className?: string;
    style?: React.CSSProperties;
}
export default abstract class Base<P = {}, S = {}> extends React.Component<P & IBaseProps, S> {
    _isMounted: boolean;
    componentDidMount(): void;
    componentWillUnmount(): void;
    rootProps: (classes: string | number | false | IClassDictionary | IClassArray[] | ClassValue[] | null | undefined, styles?: React.CSSProperties | undefined) => {
        className: string;
        style: (React.CSSProperties & (P & IBaseProps)["style"]) | undefined;
    };
}
export declare type SizeType = 'small' | 'normal' | 'large';
