import Popper from 'popper.js';
import Base from './Base';
export declare type TriggerType = 'click' | 'hover';
export declare type PlacementType = 'auto' | 'top' | 'right' | 'bottom' | 'left' | 'auto-start' | 'top-start' | 'right-start' | 'bottom-start' | 'left-start' | 'auto-end' | 'top-end' | 'right-end' | 'bottom-end' | 'left-end';
export interface IPopoverBaseProps {
    visible?: boolean;
    disabled?: boolean;
    placement?: PlacementType;
    trigger?: TriggerType;
    onChange?: (visible: boolean) => void;
}
export interface IPopoverBaseState {
    visible: boolean;
}
export default abstract class PopoverBase<P> extends Base<IPopoverBaseProps & P, IPopoverBaseState> {
    static defaultProps: {
        placement: string;
        trigger: string;
    };
    target: Element;
    container: HTMLElement | null;
    popper: HTMLElement;
    $popper: Popper | null;
    timer: any;
    abstract getArrow: (popper: HTMLElement) => Element | null;
    abstract getContent: () => React.ReactElement<any> | null;
    state: {
        visible: boolean;
    };
    componentDidUpdate(prevProps: any, prevState: any): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    show: () => void;
    hide: () => void;
    onClickTarget: () => void;
    onClickOutside: (e: MouseEvent) => void;
    onEnterTarget: () => void;
    onLeaveTarget: () => void;
    renderPopper: () => void;
    createPopper: () => void;
    destroyPopper: () => void;
}
